POST Add/Update Proctoring Settings

This API updates global AI interview proctoring settings.

Request URL

POST /ai-interviews/settings/proctoring

Body Parameters

{
    "proctoring": {
        "ai": false,
        "eyegaze": false,
        "offTab": false,
        "screenRecord": false,
        "webcam": false
    },
    "updateAll": true
}

Warning

Make sure to add your API key in the Header of the request using the key apiKey.

Parameters

Parameter

Type

Description

proctoring

object

Proctoring configuration to be saved globally for AI interviews.

ai

boolean

Enables AI monitoring. Can be toggled but requires webcam.

eyegaze

boolean

Enables eye-gaze tracking. Can be toggled but requires webcam.

offTab

boolean

Enables off-tab tracking during the AI interview.

screenRecord

boolean

Enables screen recording during the AI interview.

webcam

boolean

Enables webcam usage, required for AI and eyegaze monitoring.

updateAll

boolean

If true, updates all existing AI interviews with this proctoring config.

Response

{
    "proctoring": {
        "ai": false,
        "eyegaze": false,
        "offTab": false,
        "screenRecord": false,
        "webcam": false
    }
}